#!/bin/sh
#
# Create spin observable data file for gnuplot 
#
# ($Id: OBSVL.sh,v 1.2 2011/03/01 06:34:12 ishikawa Exp $)
#

nsample=100000

figdat="spinobs_beta.dat"

( for b in 0.1 0.2 0.4 0.7 0.9
  do
    save="save_b"${b}"_N"${nsample}_jack".dat"
    scor="scor_b"${b}"_N"${nsample}_jack".dat"

    spinave=`sed '/^#/d' $save | awk 'BEGIN{a=0;b=0;c=0}{b=$3;if (b > a){c=$0;a=b}}END{print c}'  | awk '{print $2,$3}'`
    spincor=`sed '/^#/d' $scor | awk 'BEGIN{a=0;b=0;c=0}{b=$3;if (b > a){c=$0;a=b}}END{print c}'  | awk '{print $2,$3}'`

    echo $b $spinave $spincor
  done ) > $figdat

